docs

# MimeType

expect class MimeType
Content copied to clipboard
actual class MimeType
Content copied to clipboard
actual class MimeType : MimeType
Content copied to clipboard

## Constructors

MimeType
Link copied to clipboard
fun MimeType (raw: String )
Content copied to clipboard
fun MimeType (raw: String )
Content copied to clipboard

## Functions

getBaseType
Link copied to clipboard
open fun getBaseType (): String
Content copied to clipboard
getParameter
Link copied to clipboard
open fun getParameter (p0: String ): String
Content copied to clipboard
getParameters
Link copied to clipboard
open fun getParameters (): MimeTypeParameterList
Content copied to clipboard
getPrimaryType
Link copied to clipboard
open fun getPrimaryType (): String
Content copied to clipboard
getSubType
Link copied to clipboard
open fun getSubType (): String
Content copied to clipboard
match
Link copied to clipboard
open fun match (p0: MimeType ): Boolean
Content copied to clipboard
open fun match (p0: String ): Boolean
Content copied to clipboard
readExternal
Link copied to clipboard
open override fun readExternal (p0: ObjectInput )
Content copied to clipboard
removeParameter
Link copied to clipboard
open fun removeParameter (p0: String )
Content copied to clipboard
setParameter
Link copied to clipboard
open fun setParameter (p0: String , p1: String )
Content copied to clipboard
setPrimaryType
Link copied to clipboard
open fun setPrimaryType (p0: String )
Content copied to clipboard
setSubType
Link copied to clipboard
open fun setSubType (p0: String )
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString (): String
Content copied to clipboard
open override fun toString (): String
Content copied to clipboard
writeExternal
Link copied to clipboard
open override fun writeExternal (p0: ObjectOutput )
Content copied to clipboard

## Properties

jsMimeType
Link copied to clipboard
val jsMimeType : MimeType ?
Content copied to clipboard
raw
Link copied to clipboard
expect val raw : String
Content copied to clipboard
actual val raw : String
Content copied to clipboard
actual val raw : String
Content copied to clipboard